#version 100

precision mediump float;

varying vec2 TextureCoordinate;

uniform float alpha;

vec4 transparentColor = vec4(0.0, 0.0, 0.0, 0.0);
vec4 backgroundColor = vec4(0.0, 0.0, 0.0, 0.72);
vec4 foregroundColor = vec4(1.0, 1.0, 1.0, 1.0);

void main() {
    // 将纹理坐标点转换成对应view的size坐标点
    vec2 pointVec = TextureCoordinate;
    // 计算圆心和半径
    float circleRadius = 0.5;
    // 由圆心向定点方向的向量
    float lenOfPointVec = length(pointVec);
    // 在圆环以内直接设置背景色
    if (lenOfPointVec <= circleRadius) {
        gl_FragColor = backgroundColor * alpha;
    }else{
        gl_FragColor = transparentColor * alpha;
    }
}

