#version 100

precision mediump float;

varying vec2 TextureCoordinate;
varying vec2 ProgressCoordinate;

uniform float alpha;
uniform float red;
uniform float green;
uniform float blue;
uniform float leftBottomX;
uniform float leftBottomY;
uniform float rightTopX;
uniform float rightTopY;
uniform float rightProgressTopX;
uniform float rightProgressTopY;    //目前该值与rightTopY相等
uniform float slope;

void main() {
    if(ProgressCoordinate.y >=  leftBottomY && ProgressCoordinate.y <= rightProgressTopY){
        float deltaX = slope * (ProgressCoordinate.y - leftBottomY);
        float leftX = leftBottomX + deltaX;
        float rightX = rightTopX + deltaX;
        float rightProgressX = rightProgressTopX + deltaX;
        if(ProgressCoordinate.x >= leftX && ProgressCoordinate.x <= rightProgressX){
            gl_FragColor = vec4(red, green, blue, alpha);
            return;
        }else if(ProgressCoordinate.x >= leftX && ProgressCoordinate.x <= rightX){
            gl_FragColor = vec4(0.25, 0.25, 0.25, 1.0);
            return;
        }
    }
    gl_FragColor = vec4(0.0, 0.0, 0.0, 0.0);
}